Open CASCADE Technology  7.5.0.beta
Static Public Member Functions
DsgPrs_LengthPresentation Class Reference

Framework for displaying lengths. The length displayed is indicated by line segments and text alone or by a combination of line segment, text and arrows at either or both of its ends. More...

#include <DsgPrs_LengthPresentation.hxx>

Static Public Member Functions

static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Dir &aDirection, const gp_Pnt &OffsetPoint)
 Draws a line segment representing a length in the display aPresentation. This segment joins the points AttachmentPoint1 and AttachmentPoint2, along the direction aDirection. The text aText will be displayed at the offset point OffsetPoint. The line and text attributes are specified by the attribute manager aDrawer. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Dir &aDirection, const gp_Pnt &OffsetPoint, const DsgPrs_ArrowSide ArrowSide)
 Draws a line segment representing a length in the display aPresentation. This segment joins the points AttachmentPoint1 and AttachmentPoint2, along the direction aDirection. The text aText will be displayed at the offset point OffsetPoint. The value of the enumeration ArrowSide controls whether arrows will be displayed at either or both ends of the length. The line, text and arrow attributes are specified by the attribute manager aDrawer. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Pln &PlaneOfFaces, const gp_Dir &aDirection, const gp_Pnt &OffsetPoint, const DsgPrs_ArrowSide ArrowSide)
 Draws a line segment representing a length in the display aPresentation. This segment joins the points AttachmentPoint1 and AttachmentPoint2, along the direction aDirection. The text aText will be displayed at the offset point OffsetPoint. The value of the enumeration ArrowSide controls whether arrows will be displayed at either or both ends of the length. The plane PlaneOfFaces is used if length is null. The line, text and arrow attributes are specified by the attribute manager aDrawer. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const TCollection_ExtendedString &aText, const Handle< Geom_Surface > &SecondSurf, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Dir &aDirection, const gp_Pnt &OffsetPoint, const DsgPrs_ArrowSide ArrowSide)
 Draws a line segment representing a length in the display aPresentation. This segment joins the points AttachmentPoint1 and AttachmentPoint2, along the direction aDirection. AttachmentPoint2 lies on the curvilinear faces SecondSurf. The text aText will be displayed at the offset point OffsetPoint. The value of the enumeration ArrowSide controls whether arrows will be displayed at either or both ends of the length. The line, text and arrow attributes are specified by the attribute manager aDrawer. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const gp_Pnt &Pt1, const gp_Pnt &Pt2, const DsgPrs_ArrowSide ArrowSide)
 Draws a line segment representing a length in the display aPresentation. This segment joins the points AttachmentPoint1 and AttachmentPoint2, along the direction aDirection. The value of the enumeration ArrowSide controls whether arrows will be displayed at either or both ends of the length. The line and arrow attributes are specified by the attribute manager aDrawer. More...
 

Detailed Description

Framework for displaying lengths. The length displayed is indicated by line segments and text alone or by a combination of line segment, text and arrows at either or both of its ends.

Member Function Documentation

◆ Add() [1/5]

static void DsgPrs_LengthPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const TCollection_ExtendedString aText,
const gp_Pnt AttachmentPoint1,
const gp_Pnt AttachmentPoint2,
const gp_Dir aDirection,
const gp_Pnt OffsetPoint 
)
static

Draws a line segment representing a length in the display aPresentation. This segment joins the points AttachmentPoint1 and AttachmentPoint2, along the direction aDirection. The text aText will be displayed at the offset point OffsetPoint. The line and text attributes are specified by the attribute manager aDrawer.

◆ Add() [2/5]

static void DsgPrs_LengthPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const TCollection_ExtendedString aText,
const gp_Pnt AttachmentPoint1,
const gp_Pnt AttachmentPoint2,
const gp_Dir aDirection,
const gp_Pnt OffsetPoint,
const DsgPrs_ArrowSide  ArrowSide 
)
static

Draws a line segment representing a length in the display aPresentation. This segment joins the points AttachmentPoint1 and AttachmentPoint2, along the direction aDirection. The text aText will be displayed at the offset point OffsetPoint. The value of the enumeration ArrowSide controls whether arrows will be displayed at either or both ends of the length. The line, text and arrow attributes are specified by the attribute manager aDrawer.

◆ Add() [3/5]

static void DsgPrs_LengthPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const TCollection_ExtendedString aText,
const gp_Pnt AttachmentPoint1,
const gp_Pnt AttachmentPoint2,
const gp_Pln PlaneOfFaces,
const gp_Dir aDirection,
const gp_Pnt OffsetPoint,
const DsgPrs_ArrowSide  ArrowSide 
)
static

Draws a line segment representing a length in the display aPresentation. This segment joins the points AttachmentPoint1 and AttachmentPoint2, along the direction aDirection. The text aText will be displayed at the offset point OffsetPoint. The value of the enumeration ArrowSide controls whether arrows will be displayed at either or both ends of the length. The plane PlaneOfFaces is used if length is null. The line, text and arrow attributes are specified by the attribute manager aDrawer.

◆ Add() [4/5]

static void DsgPrs_LengthPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const TCollection_ExtendedString aText,
const Handle< Geom_Surface > &  SecondSurf,
const gp_Pnt AttachmentPoint1,
const gp_Pnt AttachmentPoint2,
const gp_Dir aDirection,
const gp_Pnt OffsetPoint,
const DsgPrs_ArrowSide  ArrowSide 
)
static

Draws a line segment representing a length in the display aPresentation. This segment joins the points AttachmentPoint1 and AttachmentPoint2, along the direction aDirection. AttachmentPoint2 lies on the curvilinear faces SecondSurf. The text aText will be displayed at the offset point OffsetPoint. The value of the enumeration ArrowSide controls whether arrows will be displayed at either or both ends of the length. The line, text and arrow attributes are specified by the attribute manager aDrawer.

◆ Add() [5/5]

static void DsgPrs_LengthPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const gp_Pnt Pt1,
const gp_Pnt Pt2,
const DsgPrs_ArrowSide  ArrowSide 
)
static

Draws a line segment representing a length in the display aPresentation. This segment joins the points AttachmentPoint1 and AttachmentPoint2, along the direction aDirection. The value of the enumeration ArrowSide controls whether arrows will be displayed at either or both ends of the length. The line and arrow attributes are specified by the attribute manager aDrawer.


The documentation for this class was generated from the following file: